#! /bin/bash

echo 'Starting nginx'

if [ -f /conf/stack/ssl.key ]
then
  echo "Using HTTPS"
  /usr/local/nginx/sbin/nginx -c /conf/nginx-enterprise.conf
else
  echo "No SSL key provided, using HTTP"
  /usr/local/nginx/sbin/nginx -c /conf/nginx-enterprise-nossl.conf
fi

echo 'Nginx exited'